XScreenSaver(1)

NAME
slip - sucks your screen into a jet engine

SYNOPSIS
slip [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-ncolors integer] [-iterations integer] [-points integer] [-delay microseconds] [-delay2 microseconds]

DESCRIPTION
The slip program does lots of blits and chews up an image. The image that it manipulates will be grabbed from the portion of the screen underlying the window, or from the system's video input, or from a random file on disk, as indicated by the grabDesktopImages, grabVideoFrames, and chooseRandomImages options in the ~/.xscreensaver file; see xscreensaver-demo(1) for more details.

OPTIONS
slip accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-ncolors integer
    How many colors should be used (if possible). Default 128. The colors used cycle through the hue, making N stops around the color wheel.

-count integer
    How many whooziwhatsis to generate. Default 35.

-cycles integer
    How long to frobnicate. Default 50.

-delay microseconds
    How long we should wait between drawing each step. Default 50000, or about 1/20th second.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xscreensaver-demo(1), xscreensaver-getimage(1)

COPYRIGHT
Copyright © 1992 by Scott Draves. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Scott Graves <spot@cs.cmu.edu>. Ability to run standalone or with xscreensaver added by Jamie Zawinski <jwz@jwz.org>, 18-Oct-93.